From 307ea52993e59e830717991ac88c9037c0f442e1 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Sat, 20 Apr 2024 02:09:31 +0800
Subject: [PATCH] keychain_mac: fix build on < 10.9

---
 src/keychain_mac.cpp | 4 ++++
 1 file changed, 4 insertions(+)

diff --git src/keychain_mac.cpp src/keychain_mac.cpp
index 1b84113..ecf604c 100644
--- src/keychain_mac.cpp
+++ src/keychain_mac.cpp
@@ -28,6 +28,8 @@
 
 #include <Security/Security.h>
 
+#include <AvailabilityMacros.h>
+
 #include "keychain.h"
 
 namespace {
@@ -92,7 +94,9 @@ void updateError(keychain::Error &err, OSStatus status) {
         break;
 
     // potential errors in case the user needs to unlock the keychain first
+#if MAC_OS_X_VERSION_MIN_REQUIRED > 1080
     case errSecUserCanceled:        // user pressed the Cancel button
+#endif
     case errSecAuthFailed:          // too many failed password attempts
     case errSecInteractionRequired: // user interaction required but not allowed
         err.type = keychain::ErrorType::AccessDenied;
